import ProjectDescription

let version: SettingValue = "2.23.0"
let baseSettings: [String: SettingValue] = [
    "MARKETING_VERSION": version,
    "PRODUCT_NAME": "SDK Sample"
]

let project = Project(
    name: "RxKakaoSDKSample",
    targets: [
        .target(
            name: "RxKakaoSDKSample",
            destinations: .iOS,
            product: .app,
            bundleId: "com.kakao.sdk.sample.open.rx",
            deploymentTargets: .iOS("13.0"),
            infoPlist: .file(path: Path("RxKakaoSDKSample/Sources/Info.plist")),
            sources: ["RxKakaoSDKSample/Sources/**"],
            resources: ["RxKakaoSDKSample/Resources/**"],
            dependencies: [
                .external(name:"Alamofire"),
                .external(name:"KakaoSDKCommon"),
                .external(name:"KakaoSDKTemplate"),
                .external(name:"KakaoSDKAuth"),
                .external(name:"KakaoSDKUser"),
                .external(name:"KakaoSDKCert"),
                .external(name:"KakaoSDKTalk"),
                .external(name:"KakaoSDKFriend"),
                .external(name:"KakaoSDKShare"),
                .external(name:"KakaoSDKNavi"),
                .external(name:"RxAlamofire"),
                .external(name:"RxSwift"),
                .external(name:"RxKakaoSDKCommon"),
                .external(name:"RxKakaoSDKAuth"),
                .external(name:"RxKakaoSDKUser"),
                .external(name:"RxKakaoSDKCert"),
                .external(name:"RxKakaoSDKTalk"),
                .external(name:"RxKakaoSDKFriend"),
                .external(name:"RxKakaoSDKShare")
            ],
            settings: .settings(base:baseSettings)
        ),
        .target(
            name: "RxKakaoSDKSampleTests",
            destinations: .iOS,
            product: .unitTests,
            bundleId: "com.kakao.sdk.sample.open.rx.tests",
            infoPlist: .default,
            sources: ["RxKakaoSDKSample/Tests/**"],
            resources: [],
            dependencies: [.target(name: "RxKakaoSDKSample")]
        ),
    ]
)
